# SIG章程指南

所有 DragonOS SIG 都必须定义一份章程，定义 SIG 的范围和治理。

- 范围必须定义 SIG 负责指导和维护的领域。
- 治理必须概述 SIG 内的职责以及承担这些职责的角色。


## 创建 SIG 章程的步骤

1. 将模板复制到`community/sigs/sig-YOURSIG/charter.md`下的新文件中（`sig-example`是一个示例）
2. 阅读建议和要求，以便了解模板的背景信息
3. 填写您的 SIG 模板
4. 将您的信息更新到模版中
5. 将SIG信息添加到[teams_data](https://github.com/DragonOS-Community/teams_data)仓库中（在teams_data仓库发起一个PR，并把它与community仓库的PR进行关联）
6. 在community仓库创建拉取请求。在您目前所属的 SIG 内进行沟通并根据需要获取反馈。
7. 将 SIG 章程发送至[pmc@dragonos.org]供审核。在正文中包含主题“SIG 章程提案：YOURSIG”和 PR 链接。
8. 通常希望在发送草稿后一周内得到反馈。如果遇到假期，则预计需要更长的时间。您需要根据审查建议，进行任何必要的更改。
9. 一旦被接受，项目管理委员会（PMC）将通过合并来批准 PR。


## 更新现有 SIG 章程的步骤

- 对于重大变更或可能影响其他 SIG 的任何变更（例如范围），请创建 PR 并将其发送给项目管理委员会（PMC）进行审查，主题为：“SIG 章程更新：YOURSIG”
- 对于仅影响 SIG 范围内的问题或领域的细微更新，SIG 主席应推动变更。

## SIG 章程批准流程
在引入 SIG 章程或修改章程时，应使用以下流程。作为其中的一部分，我们将定义OARP流程的角色（所有者、批准者、审阅者、参与者）

- 从 SIG 中确定一小组负责人来推动变革。最典型的是 SIG 主席。
- 与相关 SIG 的其他成员（审阅者）合作来制定变更。确保SIG的成员能知晓与项目管理委员会的沟通情况。
- 与项目管理委员会（批准者）合作以获得批准。只需提交 PR 并将邮件发送至 [pmc@dragonos.org] 即可。如果需要进行更实质性的更改，建议在起草 PR 之前，在社区内公开讨论，以便让其他人知晓。
  - 项目管理委员会将努力确保章程中规定的 SIG 范围合理（并且在DragonOS范围内）并且流程公平。
- 对于大型变更，为了让变更范围变得清晰，请向 DragonOS社区的其他成员（参与者）发出通知，您可以在DragonOS社区论坛上发出信息。


如果对此过程有任何疑问，请通过[pmc@dragonos.org]联系项目管理委员会。

[pmc@dragonos.org]: mailto:pmc@dragonos.org